Bug 178840 - Switchdesk doesn't recognise TWM installation
Switchdesk doesn't recognise TWM installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 13:37 EST by Andy Hudson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 11:27:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Hudson 2006-01-24 13:37:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
When using the switchdesk gui to select TWM, switchdesk asks for it to be installed. Did a 'yum list xorg-x11-twm' and this shows xorg-x11-twm.ppc to be installed, 1:1.0.0-1.

Version-Release number of selected component (if applicable):
switchdesk-4.0.8-2

How reproducible:
Always

Steps to Reproduce:
1.run switchdesk twm or switchdesk and use GUI to select TWM
2.Click OK
3.
  

Actual Results:  Says that twm needs to be installed

Expected Results:  Switchdesk should have made twm default Window Manager

Additional info:

[root@hoist ~]# switchdesk
Red Hat Linux switchdesk 4.0
Copyright (C) 1999-2004 Red Hat, Inc
Redistributable under the terms of the GNU General Public License
/usr/share/switchdesk/switchdesk-gui.py:92: GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/share/switchdesk/switchdesk-gui.py:101: GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  self.window.hide()
ERROR: TWM is not installed on your machine! to install TWM, please type
yum install "xorg-x11-twm"
/usr/share/switchdesk/switchdesk-gui.py:111: GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  gtk.mainquit()
Comment 1 Ngo Than 2006-01-25 11:27:11 EST
it's now fixed in switchdesk-4.0.8-3, it will show up in next rawhide.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.